[Numpy-discussion] error of install numpy on linux redhat.

Jack Bryan dtustudy68@hotmail....
Thu Oct 25 09:23:08 CDT 2012


Hi, 
I have installed python2.6 in my local dir. 
But, when I used python setup.py install --user to install numpy , I got:
$ python setup.py install --user'import site' failed; use -v for tracebackTraceback (most recent call last):  File "setup.py", line 18, in <module>    import osImportError: No module named os
in python2.6 I got:
>>> import osTraceback (most recent call last):  File "<stdin>", line 1, in <module>ImportError: No module named os
Any help will be appreciated. 
thanks
From: dtustudy68@hotmail.com
To: numpy-discussion@scipy.org
Date: Thu, 25 Oct 2012 06:32:05 -0600
Subject: Re: [Numpy-discussion] error of install numpy on linux redhat.





Thanks for your invitation. 
I cannot use rpm command because I am not root user and cannot get sys-adm authorization. 
Any help will be appreciated. 
Thanks

Date: Thu, 25 Oct 2012 08:05:47 +0200
From: ralf.gommers@gmail.com
To: numpy-discussion@scipy.org
Subject: Re: [Numpy-discussion] error of install numpy on linux redhat.



On Thu, Oct 25, 2012 at 6:01 AM, Jack Bryan <dtustudy68@hotmail.com> wrote:





Hi, All, 
I am trying to install numpy  from http://www.scipy.org/Download . 
by 

git clone git://github.com/numpy/numpy.git numpy
But, when I ran 
python setup.py install

I got:
SystemError: Cannot compile 'Python.h'. Perhaps you need to install python-dev|python-devel
Where to get python-dev ? 

If you're on OS X you have to install XCode, preferably with the optional SDKs for previous platforms.

On Linux you can install python-dev or similar with your package manager.


Ralf


I tried:

$ easy_install python-develSearching for python-develReading http://pypi.python.org/simple/python-devel/
Couldn't find index page for 'python-devel' (maybe misspelled?)Scanning index of all packages (this may take a while)Reading http://pypi.python.org/simple/
No local packages or download links found for python-develerror: Could not find suitable distribution for Requirement.parse('python-devel')
and 

$ easy_install python-devSearching for python-devReading http://pypi.python.org/simple/python-dev/Couldn't find index page for 'python-dev' (maybe misspelled?)
Scanning index of all packages (this may take a while)Reading http://pypi.python.org/simple/No local packages or download links found for python-dev
error: Could not find suitable distribution for Requirement.parse('python-dev')


 		 	   		  

_______________________________________________

NumPy-Discussion mailing list

NumPy-Discussion@scipy.org

http://mail.scipy.org/mailman/listinfo/numpy-discussion





_______________________________________________
NumPy-Discussion mailing list
NumPy-Discussion@scipy.org
http://mail.scipy.org/mailman/listinfo/numpy-discussion 		 	   		  

_______________________________________________
NumPy-Discussion mailing list
NumPy-Discussion@scipy.org
http://mail.scipy.org/mailman/listinfo/numpy-discussion 		 	   		  
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mail.scipy.org/pipermail/numpy-discussion/attachments/20121025/5f1e9b6f/attachment-0001.html 


More information about the NumPy-Discussion mailing list